par: OPERA Cloud Price Availability Rate API
28 operations from Oracle’s published OHIP specifications (26.3.0.0). Each shows its HTTP method and path and the typed call on ctx.Ohip.Api. hotelId defaults to the invocation’s hotel.
analyzeRateAvailability
Section titled “analyzeRateAvailability”Analyze Rate Availability
GET /par/v1/hotels/{hotelId}/analyzeRateAvailability · hotel-scoped · deprecated
Task<RateAnalysisDetails?> ctx.Ohip.Api.Par.AnalyzeRateAvailabilityAsync(string? hotelId = null, Action<AnalyzeRateAvailabilityRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)clearAllRestrictions
Section titled “clearAllRestrictions”Clear all Restrictions
PUT /par/v1/hotels/{hotelId}/restrictions · hotel-scoped
Task<ClearAllRestrictions?> ctx.Ohip.Api.Par.ClearAllRestrictionsAsync(ClearAllRestrictions body, string? hotelId = null, CancellationToken ct = default)deleteHurdleRates
Section titled “deleteHurdleRates”Delete Hurdle Rates
DELETE /par/v1/hotels/{hotelId}/hurdles · hotel-scoped
Task<Status?> ctx.Ohip.Api.Par.DeleteHurdleRatesAsync(string? hotelId = null, Date?[]? hurdleDate = null, Date?[]? hurdleRangeEnd = null, Date?[]? hurdleRangeStart = null, double?[]? lengthOfStay = null, string[]? roomCategory = null, string[]? roomType = null, string[]? yieldCategory = null, string[]? yieldMarketCode = null, CancellationToken ct = default)deleteRestriction
Section titled “deleteRestriction”Delete a Restriction
DELETE /par/v1/hotels/{hotelId}/restrictions/{restrictionId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Par.DeleteRestrictionAsync(string restrictionId, string? hotelId = null, string? bookingChannelCode = null, string? ratePlanCategory = null, string? ratePlanCode = null, Date? restrictionEndDate = null, Date? restrictionStartDate = null, string? roomClass = null, string? roomType = null, CancellationToken ct = default)getAlternateAvailability
Section titled “getAlternateAvailability”Get Alternate Availability
GET /par/v1/hotels/{hotelId}/availability/alternate · hotel-scoped · deprecated
Task<AlternateAvailability?> ctx.Ohip.Api.Par.GetAlternateAvailabilityAsync(string? hotelId = null, Action<AlternateRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getAvailabilityRatePlanInfo
Section titled “getAvailabilityRatePlanInfo”Get Rate Plan Information
GET /par/v1/hotels/{hotelId}/rates/{ratePlanCode} · hotel-scoped
Task<AvailabilityRatePlanInfo?> ctx.Ohip.Api.Par.GetAvailabilityRatePlanInfoAsync(string ratePlanCode, string? hotelId = null, string[]? ratePlanCodeList = null, CancellationToken ct = default)getAvailabilityRatePlanInfoByMultipleRatePlans
Section titled “getAvailabilityRatePlanInfoByMultipleRatePlans”Get the Rate Plan Information
GET /par/v1/hotels/{hotelId}/rates · hotel-scoped
Task<AvailabilityRatePlanInfo?> ctx.Ohip.Api.Par.GetAvailabilityRatePlanInfoByMultipleRatePlansAsync(string? hotelId = null, string[]? ratePlanCodeList = null, CancellationToken ct = default)getAvailableUpsells
Section titled “getAvailableUpsells”Get for Available Up-sells
GET /par/v1/hotels/{hotelId}/availableUpsells · hotel-scoped
Task<AvailableUpsells?> ctx.Ohip.Api.Par.GetAvailableUpsellsAsync(string? hotelId = null, Action<AvailableUpsellsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getExternalYieldMarketType
Section titled “getExternalYieldMarketType”Yield Market Type LookUp.
GET /par/v1/hotels/{hotelId}/yieldMarketType · hotel-scoped
Task<YieldMarketTypeDetails?> ctx.Ohip.Api.Par.GetExternalYieldMarketTypeAsync(string? hotelId = null, string? membershipId = null, CancellationToken ct = default)getHotelAvailability
Section titled “getHotelAvailability”Get Hotel Availability
GET /par/v1/hotels/{hotelId}/availability · hotel-scoped · deprecated
Task<HotelAvailability?> ctx.Ohip.Api.Par.GetHotelAvailabilityAsync(string? hotelId = null, Action<AvailabilityRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getHotelAvailabilityCRO
Section titled “getHotelAvailabilityCRO”Get Hotel Availability
GET /par/v1/availability · chain-level · deprecated
Task<HotelAvailability?> ctx.Ohip.Api.Par.GetHotelAvailabilityCROAsync(Action<AvailabilityRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getHotels
Section titled “getHotels”Search hotels for the sales process
GET /par/v1/hotels · chain-level
Task<SearchHotelsDetails?> ctx.Ohip.Api.Par.GetHotelsAsync(Action<HotelsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getHurdleRates
Section titled “getHurdleRates”Get Hurdle Rates
GET /par/v1/hotels/{hotelId}/hurdles · hotel-scoped
Task<HurdleRates?> ctx.Ohip.Api.Par.GetHurdleRatesAsync(string? hotelId = null, Date? hurdleDate = null, Date? hurdleRangeEnd = null, Date? hurdleRangeStart = null, int? limit = null, int? offset = null, string[]? roomTypesCode = null, string? wildCard = null, CancellationToken ct = default)getMultiPropHurdleRates
Section titled “getMultiPropHurdleRates”Get multiple property Hurdle Rates
GET /par/v1/hurdles · chain-level
Task<HurdleRates?> ctx.Ohip.Api.Par.GetMultiPropHurdleRatesAsync(string[]? hotelIds = null, Date? hurdleDate = null, Date? hurdleRangeEnd = null, Date? hurdleRangeStart = null, int? limit = null, int? offset = null, string[]? roomTypesCode = null, string? wildCard = null, CancellationToken ct = default)getReservationGuarantees
Section titled “getReservationGuarantees”Get Reservation Guarantee
GET /par/v1/hotels/{hotelId}/guarantees · hotel-scoped
Task<ReservationGuaranteesPolicies?> ctx.Ohip.Api.Par.GetReservationGuaranteesAsync(string? hotelId = null, Action<GuaranteesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRestrictionsByDateRange
Section titled “getRestrictionsByDateRange”Get the Restrictions
GET /par/v1/hotels/{hotelId}/restrictions · hotel-scoped
Task<RestrictionsByDateRange?> ctx.Ohip.Api.Par.GetRestrictionsByDateRangeAsync(string? hotelId = null, Action<RestrictionsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getRestrictionsHistory
Section titled “getRestrictionsHistory”Get the Restriction history
GET /par/v1/hotels/{hotelId}/restrictionsHistory · hotel-scoped
Task<RestrictionsHistory?> ctx.Ohip.Api.Par.GetRestrictionsHistoryAsync(string? hotelId = null, Action<RestrictionsHistoryRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)pingAvailabilityService
Section titled “pingAvailabilityService”Get the Availability Service version
GET /par/v1/services/availability/status · chain-level
Task<OperaVersion?> ctx.Ohip.Api.Par.PingAvailabilityServiceAsync(CancellationToken ct = default)postHurdleRates
Section titled “postHurdleRates”Create Hurdle Rates
POST /par/v1/hotels/{hotelId}/hurdles · hotel-scoped
Task<Status?> ctx.Ohip.Api.Par.PostHurdleRatesAsync(CreateHurdleRates body, string? hotelId = null, CancellationToken ct = default)postRestriction
Section titled “postRestriction”Create a Restriction
POST /par/v1/hotels/{hotelId}/restrictions · hotel-scoped
Task<Status?> ctx.Ohip.Api.Par.PostRestrictionAsync(CreateRestriction body, string? hotelId = null, CancellationToken ct = default)putHurdleRates
Section titled “putHurdleRates”Change Hurdle Rates
PUT /par/v1/hotels/{hotelId}/hurdles · hotel-scoped
Task<ChangeHurdleRatesDetails?> ctx.Ohip.Api.Par.PutHurdleRatesAsync(ChangeHurdleRates body, string? hotelId = null, CancellationToken ct = default)putUpsertHurdleRates
Section titled “putUpsertHurdleRates”Create/Change Hurdle Rates
PUT /par/v1/upsert/hotels/{hotelId}/hurdles · hotel-scoped
Task<ChangeHurdleRatesDetails?> ctx.Ohip.Api.Par.PutUpsertHurdleRatesAsync(ChangeHurdleRates body, string? hotelId = null, CancellationToken ct = default)retriveExternalControlSegment
Section titled “retriveExternalControlSegment”External Control Segment Lookup
POST /par/v1/externalControlSegment · chain-level
Task<ExternalControlSegmentDetails?> ctx.Ohip.Api.Par.RetriveExternalControlSegmentAsync(ExternalControlSegmentCriteria body, CancellationToken ct = default)searchAlternateAvailability
Section titled “searchAlternateAvailability”Get Alternate Availability
POST /par/v1/hotels/{hotelId}/availability/alternate/searches · hotel-scoped
Task<AlternateAvailability?> ctx.Ohip.Api.Par.SearchAlternateAvailabilityAsync(SearchAlternateAvailabilityRequest body, string? hotelId = null, CancellationToken ct = default)searchAnalyzeRateAvailability
Section titled “searchAnalyzeRateAvailability”Analyze Rate Availability
POST /par/v1/hotels/{hotelId}/analyzeRateAvailability/searches · hotel-scoped
Task<RateAnalysisDetails?> ctx.Ohip.Api.Par.SearchAnalyzeRateAvailabilityAsync(SearchAnalyzeRateAvailabilityRequest body, string? hotelId = null, CancellationToken ct = default)searchHotelAvailability
Section titled “searchHotelAvailability”Get Hotel Availability
POST /par/v1/hotels/{hotelId}/availability/searches · hotel-scoped
Task<HotelAvailability?> ctx.Ohip.Api.Par.SearchHotelAvailabilityAsync(SearchHotelAvailabilityRequest body, string? hotelId = null, CancellationToken ct = default)searchHotelAvailabilityCRO
Section titled “searchHotelAvailabilityCRO”Get Hotel Availability
POST /par/v1/availability/searches · chain-level
Task<HotelAvailability?> ctx.Ohip.Api.Par.SearchHotelAvailabilityCROAsync(SearchHotelAvailabilityCRORequest body, CancellationToken ct = default)validateReservationGuarantees
Section titled “validateReservationGuarantees”Get Reservation Guarantee
PUT /par/v1/hotels/{hotelId}/validateGuarantees · hotel-scoped
Task<ReservationGuaranteesPolicies?> ctx.Ohip.Api.Par.ValidateReservationGuaranteesAsync(ValidateReservationGuarantees body, string? hotelId = null, CancellationToken ct = default)